Bug 1297910 - (CVE-2016-1905) CVE-2016-1905 Kubernetes api server: patch operation should use patched object to check admission control
CVE-2016-1905 Kubernetes api server: patch operation should use patched objec...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160111,repor...
: Security
: 1298116 (view as bug list)
Depends On: 1297917 1297918
Blocks: 1297922 1298133
  Show dependency treegraph
 
Reported: 2016-01-12 13:37 EST by Kurt Seifried
Modified: 2016-11-08 11:05 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An authorization flaw was discovered in Kubernetes; the API server did not properly check user permissions when handling certain requests. An authenticated remote attacker could use this flaw to gain additional access to resources such as RAM and disk space.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-22 00:37:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2016-01-12 13:37:03 EST
Kubernetes api server: patch operation should use patched object to check 
admission control

External reference:
https://github.com/kubernetes/kubernetes/issues/19479
Comment 3 Kurt Seifried 2016-01-13 13:38:31 EST
*** Bug 1298116 has been marked as a duplicate of this bug. ***
Comment 5 errata-xmlrpc 2016-01-26 14:20:53 EST
This issue has been addressed in the following products:

  RHEL 7 Version of OpenShift Enterprise 3.1

Via RHSA-2016:0070 https://access.redhat.com/errata/RHSA-2016:0070
Comment 6 errata-xmlrpc 2016-03-03 11:22:54 EST
This issue has been addressed in the following products:

  RHEL 7 Version of OpenShift Enterprise 3.0

Via RHSA-2016:0351 https://access.redhat.com/errata/RHSA-2016:0351

Note You need to log in before you can comment on or make changes to this bug.